Bug 624554 - gfs_controld: fix plock owner in unmount
Summary: gfs_controld: fix plock owner in unmount
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: David Teigland
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-16 21:28 UTC by David Teigland
Modified: 2011-01-13 22:35 UTC (History)
3 users (show)

Fixed In Version: cman-2.0.115-51.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 22:35:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (3.21 KB, text/plain)
2010-08-16 21:29 UTC, David Teigland
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0036 normal SHIPPED_LIVE cman bug-fix and enhancement update 2011-01-12 17:39:38 UTC

Description David Teigland 2010-08-16 21:28:08 UTC
Description of problem:

When a node owns any plock resources on a file system and that
fs is unmounted, the remaining nodes do nothing to change the
owner value on those resources.  Any process that attempts to
access those plock resources will become stuck and require a
reboot.  The fix is to change the owner to 0 (unowned) on any
resources owned by a node that unmounts.

This bug only applies when plock_ownership=1, which is not the default setting
(and ownership mode has never really worked correctly.)

Test:
node1: mount /gfs; cd /gfs; lock_load
node2: mount /gfs; cd /gfs; lock_load
node3: mount /gfs; cd /gfs; lock_load
node1: kill lock_load; cd; umount /gfs
nodes 2&3: lock_load permanently hangs

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Teigland 2010-08-16 21:29:05 UTC
Created attachment 439017 [details]
patch

fix

Comment 5 errata-xmlrpc 2011-01-13 22:35:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0036.html


Note You need to log in before you can comment on or make changes to this bug.